<template>
    <BreezeGuestLayout>
        <Head title="Log in" />

        <BreezeValidationErrors class="mb-4" />
        <form @submit.prevent="submit">
            <div>
                <BreezeLabel for="email" value="Email" />
                <BreezeInput
                    id="email"
                    v-model="form.email"
                    autocomplete="username"
                    autofocus
                    class="mt-1 block w-full"
                    required
                    type="email"
                />
            </div>

            <div class="mt-4">
                <BreezeLabel for="password" value="Password" />
                <BreezeInput
                    id="password"
                    v-model="form.password"
                    autocomplete="current-password"
                    class="mt-1 block w-full"
                    required
                    type="password"
                />
            </div>

            <div class="block mt-4">
                <label class="flex items-center">
                    <BreezeCheckbox
                        v-model:checked="form.remember"
                        name="remember"
                    />
                    <span class="ml-2 text-sm text-gray-600">Remember me</span>
                </label>
            </div>

            <div class="flex flex-col mt-4 mb-4">
                <Link
                    v-if="canResetPassword"
                    :href="route('password.request')"
                    class="underline text-sm text-gray-600 hover:text-gray-900"
                >
                    Forgot your password?
                </Link>
                <Link
                    v-if="canRegister"
                    :href="route('register')"
                    class="underline text-sm text-gray-600 hover:text-gray-900"
                >
                   Don't have account? Register
                </Link>


            </div>
            <BreezeButton
                :class="{ 'opacity-25': form.processing }"
                :disabled="form.processing"
                class="ml-4"
            >
                Log in
            </BreezeButton>
        </form>
    </BreezeGuestLayout>

</template>

<script setup>
import BreezeButton from "../../Components/Button.vue";
import BreezeCheckbox from "../../Components/Checkbox.vue";
import BreezeInput from "../../Components/Input.vue";
import BreezeLabel from "../../Components/Label.vue";
import BreezeValidationErrors from "../../Components/ValidationErrors.vue";
import BreezeGuestLayout from '@/Layouts/Guest.vue'
import { Head, Link, useForm } from "@inertiajs/inertia-vue3";

const props = defineProps({canResetPassword: Boolean, canRegister: Boolean})
const form = useForm({
    email: "",
    password: "",
    remember: false,
});

const submit = () => {
    form.post(route("login"), {
        preserveScroll: true,
        onSuccess: () => form.reset("password"),
    });
};
</script>
